QGIS Application - Bug report #18293
New node tool is really slow to index for big project with many editable layers
2018-03-01 03:40 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26184
Description

Using a project with transaction groups option activated, | takes several minutes to be able to create the snapping index cache.

| think that we need options to manage the snapping index coverage.

It could be:

- all editable layers
- only active layer

and maybe also
- only snappable layers

That option would suit well into the snapping option panel, together with a default setting in the general option (digitising tab)

Régis

History

#1 - 2018-03-01 04:13 PM - Martin Dobias

What if the transaction groups are not enabled - is it still slow?

Might be useful to try changing the indexing strategy to see if there is a difference - in python console run this:

iface.mapCanvas().snappingUtils().setindexingStrategy(QgsSnappingUltils.IndexExtent)

Also, right now the index preparation is always sequential - running it in parallel for multiple layers may also speed it up significantly.

#2 - 2018-03-03 10:55 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2018-10-23 11:37 AM - Regis Haubourg

- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Tested in latest master 3.3, and it's fast fast! happy me.
